#pragma once

#include <QMainWindow>
#include <string>
#include <session.h>
#include <includes.h>
#include <httpflow.h>

QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; }
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
    Q_OBJECT

private:
    Ui::MainWindow *ui;
    QThread* thread;
    Session* current_session;
public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();
public slots:
    void updateHistory();
private slots:
    void on_searchEdit_textEdited(const QString &arg1);
};
